For the complete documentation index, see llms.txt. This page is also available as Markdown.

Planets

Get Planet

get

Get planet-wide settings and values

Path parameters
configanyRequired
Responses
200

Planet info successfully retrieved

application/json
namestringRequired
get/api/v4.3/conf/{config}/planets
GET /api/v4.3/conf/{config}/planets HTTP/1.1
Accept: */*
{
  "ichallenge": {
    "attrs": {},
    "lang": {},
    "palette": [
      "text"
    ],
    "position": {}
  },
  "name": "text",
  "trusted_nets": [
    {
      "address": "text",
      "comment": "text"
    }
  ]
}

Modify Planet

put

Modify settings of a planet

Path parameters
configstringRequired
entry_idstringRequired

Planet ID

Body
namestringRequired
Responses
200

Planet updated successfully

application/json
messagestringRequired

Information about successful update operation

Example: Successfully updated entry
put/api/v4.3/conf/{config}/planets/{entry_id}
PUT /api/v4.3/conf/{config}/planets/{entry_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 137

{
  "ichallenge": {
    "attrs": {},
    "lang": {},
    "palette": [
      "text"
    ],
    "position": {}
  },
  "name": "text",
  "trusted_nets": [
    {
      "address": "text",
      "comment": "text"
    }
  ]
}
{
  "message": "Successfully updated entry"
}

Last updated

Was this helpful?